{
  "schema_version": "1.4.0",
  "id": "GHSA-vqgr-f24j-7rxx",
  "modified": "2022-05-13T01:25:22Z",
  "published": "2022-05-13T01:25:22Z",
  "aliases": [
    "CVE-2014-9087"
  ],
  "details": "Integer underflow in the ksba_oid_to_str function in Libksba before 1.3.2, as used in GnuPG, allows remote attackers to cause a denial of service (crash) via a crafted OID in a (1) S/MIME message or (2) ECC based OpenPGP data, which triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9087"
    },
    {
      "type": "WEB",
      "url": "https://blog.fuzzing-project.org/2-Buffer-overflow-and-other-minor-issues-in-GnuPG-and-libksba-TFPA-0012014.html"
    },
    {
      "type": "WEB",
      "url": "http://advisories.mageia.org/MGASA-2014-0498.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.gnupg.org/pipermail/gnupg-announce/2014q4/000359.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60073"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60189"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60233"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2014/dsa-3078"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2014:234"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2015:151"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/71285"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2427-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-191"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-12-01T15:59:00Z"
  }
}